# $Revision: 1.72 $, $Date: 2011/02/20 10:49:40 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (require a working X connection)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadLine-Gnu
Summary:	Term::ReadLine::Gnu - Perl interface for the GNU Readline/History library
Summary(pl.UTF-8):	Term::ReadLine::Gnu - perlowy interfejs do biblioteki GNU Readline/History
Name:		perl-Term-ReadLine-Gnu
Version:	1.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/HAYASHI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fa33510193b89a2ada74fcef00816322
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Term-ReadLine-Gnu/
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Term::ReadLine::Gnu::XS)
Obsoletes:	perl-Term-Readline-Gnu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ReadLine::Gnu Perl module is an implementation of the interface
to the GNU Readline Library. This module gives you input line editing
facility, input history management facility, word completion facility,
etc. It uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and so
on with Perl. This may be useful for prototyping before programming
with C.

%description -l pl.UTF-8
Moduł Perla Term::ReadLine::Gnu jest implementacją interfejsu do
biblioteki GNU Readline. Udostępnia linię wprowadzania tekstu z
możliwością edycji, zarządzania historią, automatycznym dopełnianiem
itp. Używa biblioteki GNU Readline, ma interfejs do prawie wszystkich
zmiennych i funkcji bibliotek Readline i History - można więc
oprogramować własne funkcje edycji, dopełniania itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags} -DPERL_POLLUTE"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	CC="%{__cc}" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f eg/*.orig
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorarch}/Term/ReadLine
%{perl_vendorarch}/Term/ReadLine/Gnu*
%dir %{perl_vendorarch}/auto/Term/ReadLine
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadLine/Gnu/Gnu.so
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/Gnu.bs
# empty autosplit.ix, but requred
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%{_mandir}/man3/Term::ReadLine::Gnu.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ReadLine-Gnu.spec,v $
Revision 1.72  2011/02/20 10:49:40  qboosh
- updated to 1.20

Revision 1.71  2010/11/12 23:38:08  pawelz
- release 3

Revision 1.70  2010/06/06 08:43:04  arekm
- release 2

Revision 1.69  2009/04/17 10:45:21  radek
- version 1.19

Revision 1.68  2009/02/23 22:07:40  arekm
- release 3

Revision 1.67  2008/03/24 21:43:04  qboosh
- generic URL
- informative summaries

Revision 1.66  2008-03-02 17:01:29  radek
- release 2: uncomment the paths.patch

Revision 1.65  2008-03-02 16:44:49  radek
- version 1.17a

Revision 1.64  2008-02-10 12:20:43  arekm
- rel 2

Revision 1.63  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.62  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.60  2006/10/21 20:01:37  ankry
- ver. 1.16

Revision 1.59  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.58  2004/12/03 14:35:04  radek
- autoupdated to 1.15

Revision 1.57  2004/11/03 22:30:47  paladine
- formatting

Revision 1.56  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.55  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.54  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.53  2004/03/13 23:09:17  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.52  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.51  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.50  2003/06/11 13:53:23  qboosh
- up to 1.14 (from RA-branch), release 2

Revision 1.49  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.48  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.46  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.45  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.44  2003/02/18 15:38:33  ankry
- massive attack: change CPAN URLs

Revision 1.43  2002/10/05 11:41:47  ankry
- restore autosplit.ix again - it is required, rel. 2

Revision 1.42  2002/09/28 23:23:06  ankry
- added tests (disabled by default)
- removed empty autosplit.ix
- version 1.13, rel. 1

Revision 1.41  2002/07/23 08:55:23  ankry
- fixed examples

Revision 1.40  2002/07/22 21:42:31  ankry
- translations, cleaning
- fixed attributes
- release 5

Revision 1.39  2002/07/20 22:57:16  kloczek
- release 4: do not place *.orig files in examples.

Revision 1.38  2002/07/14 19:35:27  ankry
- updated -paths patch
- release 3

Revision 1.37  2002/07/12 11:53:59  qboosh
- added missing dirs, new %%doc, release 2

Revision 1.36  2002/05/15 16:08:13  kloczek
- more %description.

Revision 1.35  2002/05/15 12:33:03  areq
- 1.12, STBR

Revision 1.34  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.33  2002/02/25 10:34:33  depesz
- cleanup; revision++

Revision 1.32  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/13 14:20:18  depesz
- automatic: Source location unified, Relase Up

Revision 1.30  2002/02/10 15:34:49  depesz
- adapterized

Revision 1.29  2002/01/18 02:14:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2002/01/02 15:54:49  kloczek
- release 2: perl-Term-Readline-Gnu added to Obsoletes for allow upgrade from MDK.

Revision 1.27  2001/11/17 07:14:26  kloczek
- updated to 1.11.

Revision 1.26  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.25  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/04/23 14:36:40  mis
- autoupdated to 1.10

Revision 1.23  2001/04/17 12:16:16  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.22  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.21  2001/04/13 03:31:00  kloczek
- release 3: rebuild against readline 4.2.

Revision 1.20  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.19  2001/01/24 00:11:20  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.18  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/12 04:14:37  kloczek
- "BuildRequires: perl >= 5.005_03-14".

Revision 1.16  2000/11/12 04:06:50  kloczek
- updated to 1.09,
- use new rpm automation.

Revision 1.15  2000/07/13 23:46:22  pius
- rebuild with perl-5.6.0
- release 4

Revision 1.14  2000/07/13 23:18:50  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.13  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.9  2000/03/25 22:40:40  kloczek
- release 2,
- build against readline 4.1.

Revision 1.8  2000/02/19 22:57:37  pius
- updated to 1.08

Revision 1.7  1999/11/16 18:23:07  kloczek
- release 4,
- build against ncurses 5.0.

Revision 1.6  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.5  1999/10/23 11:35:08  wiget
- Release ++

Revision 1.4  1999/10/23 08:58:23  wiget
- %%include /usr/lib/rpm/macros.perl
- BuildRequires: rpm-perlprov

Revision 1.3  1999/09/15 00:11:52  wiget
- release 2

Revision 1.2  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.1  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61
